Mike Elliott wrote at 2008-10-11 15:42 -0700:
> ...
>I have a full backup of the system and would be quite content to get
>it running under the current Ubuntu zope distribution on the new
>server but would like some advice as to how best to proceed.   Simply
>putting the existing zope directory structure on the new machine and
>trying to start it up no longer works - presumably due to differences
>in Python versions - but I don't actually know that.

You must precisely describe what you do and what happens.

Apparently, you have some form of startup problem.
In older Zope versions, you could find hints to such problems
in the log file. In newer Zope versions, you have to start
Zope in the foreground and watch for the messages that are listed
on the "console".

There has been a big incompatibility step from Zope 2.7 to Zope 2.8.
With this step support for some data types has been discontinued.
A Zope 2.8 version or newer cannot understand the corresponding
data. The corresponding objects must be converted to more modern
types in a pre-2.8 instance.

Thus, it might be necessary to bring up an older version again
before you can use a modern Zope version.

Zope maillist  -  Zope@zope.org
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to